<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__interconnect" kind="group">
    <compoundname>group_hal_results_interconnect</compoundname>
    <title>Interconnect HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__interconnect_1ga06e2a17327bc70766baaa7444effbf2d" kind="define" prot="public" static="no">
        <name>CYHAL_CONNECT_RSLT_NO_CONNECTION</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c">CYHAL_RSLT_MODULE_INTERCONNECT</ref>, 0))</initializer>
        <briefdescription>
<para>No connection is available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" bodystart="73" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" line="73" />
      </memberdef>
      <memberdef id="group__group__hal__results__interconnect_1gae531065e9aa44a0bbb5f4945186125de" kind="define" prot="public" static="no">
        <name>CYHAL_CONNECT_RSLT_ALREADY_CONNECTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c">CYHAL_RSLT_MODULE_INTERCONNECT</ref>, 1))</initializer>
        <briefdescription>
<para>The connections source and destination are already connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" bodystart="76" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" line="76" />
      </memberdef>
      <memberdef id="group__group__hal__results__interconnect_1gacbf273b2e176cfaf0a6fa8e02f23a602" kind="define" prot="public" static="no">
        <name>CYHAL_CONNECT_RSLT_INVALID_TRIGGER_CONNECTION</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c">CYHAL_RSLT_MODULE_INTERCONNECT</ref>, 2))</initializer>
        <briefdescription>
<para>Invalid trigger connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" bodystart="79" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_interconnect.h" line="79" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Interconnect specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>